/**
 * CommonUI.java
 *
 * Created on 2012-01-30 15:57:41
 * Copyright (c) 2009-2011, AdFinem.net
 */
package jemmysample;

import java.awt.Dimension;
import java.awt.Toolkit;
import java.awt.Window;

/**
 * CommonUI
 *
 * @author Pawel Prokop <prokop@adfinem.net>
 */
public class CommonUI {
    /**
     * This method centers given window on the screen.
     *
     * @param wnd
     */
    public static void setCenterPos(Window wnd){
        if (null != wnd){
            Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
            Dimension dialogSize = wnd.getSize();
            if (dialogSize.height > screenSize.height) {
            dialogSize.height = screenSize.height;
            }
            if (dialogSize.width > screenSize.width) {
            dialogSize.width = screenSize.width;
            }
            wnd.setLocation((screenSize.width - dialogSize.width) / 2,
                   (screenSize.height - dialogSize.height) / 2);
        }
    }
}
