/**
 * AlbumsDialogOperator.java
 *
 * Created on 2012-02-05 08:17:06
 * Copyright (c) 2009-2011, AdFinem.net
 */
package jemmysample.structure;

import org.netbeans.jemmy.operators.JButtonOperator;
import org.netbeans.jemmy.operators.JDialogOperator;
import org.netbeans.jemmy.operators.JTextFieldOperator;
import org.netbeans.jemmy.util.NameComponentChooser;

/**
 * AlbumsDialogOperator
 *
 * @author Pawel Prokop <prokop@adfinem.net>
 */
public class AlbumsDialogOperator extends JDialogOperator {

    public final static String TITLE = "Playing album";
    
    public AlbumsDialogOperator() {
        super(TITLE);
    }

    public JTextFieldOperator getAlbumTextField() {
        return new JTextFieldOperator(this, new NameComponentChooser("txtAlbum"));
    }

    public String getAlbumText() {
        return getAlbumTextField().getText();
    }
    
    public JButtonOperator getOKButton() {
        return new JButtonOperator(this, new NameComponentChooser("btnOK"));
    }

    public void pushOK() {
        getOKButton().push();
    }
}
